---
title: RTCIceCandidatePairStats.lastPacketReceivedTimestamp
slug: Web/API/RTCIceCandidatePairStats/lastPacketReceivedTimestamp
tags:
  - API
  - ICE
  - Networking
  - Packet
  - Property
  - RTCIceCandidatePairStats
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - lastPacketReceivedTimestamp
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>lastPacketReceivedTimestamp</code></strong> indicates the time at which the connection described by the candidate pair last received a packet. {{Glossary("STUN")}} packets are not included.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>lastPacketReceivedTimestamp</em> = <em>rtcIceCandidatePairStats</em>.lastPacketReceivedTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object indicating the timestamp at which the connection described by pair of candidates last received a packet, STUN packets excluded.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-lastpacketreceivedtimestamp', 'RTCIceCandidatePairStats.lastPacketReceivedTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.lastPacketReceivedTimestamp")}}</p>
